Package Gnumed :: Package timelinelib :: Package general :: Module immutable :: Class ImmutableRecord |
[frames] | no frames]

# Class ImmutableRecord

source code

    object --+
             |
         tuple --+
                 |
     ImmutableDict --+
                     |
                    ImmutableRecord

Nested Classes
| __metaclass__

Instance Methods
Inherited from `ImmutableDict`: `__contains__`, `__eq__`, `__getitem__`, `__iter__`, `__len__`, `__ne__`, `__repr__`, `get`, `map`, `remove`, `update` Inherited from `tuple`: `__add__`, `__ge__`, `__getattribute__`, `__getnewargs__`, `__getslice__`, `__gt__`, `__hash__`, `__le__`, `__lt__`, `__mul__`, `__rmul__`, `count`, `index` Inherited from `object`: `__delattr__`, `__format__`, `__init__`, `__reduce__`, `__reduce_ex__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Static Methods
a new object with type S, a subtype of T |
__new__(cls, *args, **kwargs) | source code

Properties
Inherited from `object`: `__class__`

Method Details

### __new__(cls, *args, **kwargs) Static Method | source code
Returns: a new object with type S, a subtype of T Overrides: object.__new__ (inherited documentation)